/* Define variables and box sizing */
*,
*::before,
*::after {
    box-sizing: border-box;
    font-family: "Noto Sans Display", sans-serif;

    --charcoal: #414754;
    --gray: #82807F;
    --baby-blue: #E3E8F0;
    --sand-dollar: #E5D7BE;
    --dark-charcoal: #303437;
    --golden: #7D6D3C;

    --nav-text: #C3CED6;
    --nav-text-hover: #8CA2B0;

}

/* Navbar background */
.navbar-bg {
    background: var(--dark-charcoal);
    top: 0;
}

/* Style for the logo */
.logo {
    height: 1.5rem;
    
    position: relative;
    transform: translateY(-15%);

    color: var(--baby-blue);
    transition: all 300ms ease-in-out;
}

.logo:hover {
    --baby-blue: var(--nav-text-hover);
    transform: translateY(-20%);
}

/* Links for the navbar */
.nav-link {
    color: var(--nav-text) !important;
    font-size: 1.15rem;
    font-family: "Staatliches", sans-serif;

    position: relative;

    margin: 0 1rem;

    transition: all 300ms ease-in-out;

    
}

.nav-link:hover {
    --nav-text: var(--nav-text-hover);
    transform: translateY(-5%);
}

.nav-link::after {
    content: "";
    display: inline-block;
    background: var(--baby-blue);

    position: absolute;
    left: 0 ;
    right: 0 ;
    bottom: 0 ;

    height: 4px;
    width: 100%;

    transform: scaleX(0);
    transform-origin: left;

    transition: transform 300ms ease-in-out;

}

.nav-link:hover::after {
    transform: scaleX(100%);
}

/* Content CSS */
.content {
    padding: 1rem;

    background: var(--sand-dollar);

    min-height: 100vh;
    
}

.btn-lst {
    margin: 2rem 1rem;
    
    display: flex;
    justify-content: space-between;
}

.btn-link {
    margin: 0 1rem;
    padding: 0.15rem 1rem;

    position: relative;
    
    text-decoration: none;
    font-family: "Staatliches", sans-serif;
    font-size: 1.3rem;
    color: white;
    
    background: var(--gray);
    border: none;
    border-radius: 1.5rem;

    z-index: 1;

    transition: color 300ms ease-in-out;
}

.btn-link::after {
    content: "";

    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;

    background: var(--baby-blue);
    border-radius: 1.5rem;

    transform: scaleX(0);
    transform-origin: left;

    z-index: -1;

    transition: transform 300ms ease-in-out;
}

.btn-link:hover,
.btn-link:focus {
    color: black;
}

.btn-link:hover::after,
.btn-link:focus::after {
    transform: scaleX(100%);
}

.section-title {
    font-family: "Staatliches", sans-serif;

    padding: 0.5rem 0.75rem;
}

@media screen and (max-width:992px) {
    .nav-link::after {
        width: 15%;
    }
}